﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Requests.Configuration;

public class DatabaseRequest
{
    [Required]
    public required string Server { get; set; }

    [Required]
    public int Port { get; set; }

    [Required]
    public required string Database { get; set; }

    [Required]
    public required string User { get; set; }

    [Required]
    public bool Ssl { get; set; }
    public string? Password { get; set; }
}